<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <link rel="stylesheet" href="reset.css">
  <link rel="stylesheet" href="app.css">
  <title>Document</title>
</head>
<body class="body">
<div id="app">
  <textarea></textarea>
  <p>You've written <strong><span id="word-count">0</span> words</strong> and <strong><span id="character-count">0</span> characters</strong>.</p>
</div>

<script type="text/javascript">
  (function () {

    'use strict';

    //
    // Variables
    //
    const word_count = document.querySelector('#word-count'),
    char_count = document.querySelector('#character-count');

    const getChars = (selector) => {
      return selector.value.length
    }
    const getWords = (selector) => {
      // .replace(/[\W_]+/g, '')
      let arr = selector.value.split(' ')
      return arr.length
    }

    document.addEventListener('input', function(e) {
      if (e.target.matches('textarea')) {
        char_count.textContent = getChars(e.target)
        word_count.textContent = getWords(e.target)
      }
    });

  })();

</script>
</body>
</html>
